--4jXrM3lyYWu4nBt5
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On [Mon, 03.03.2008 17:50], Yukihiro Matsumoto wrote:
> Hi,
>=20
> In message "Re: Ruby 1.9.0-1 snapshot released"
>     on Mon, 3 Mar 2008 17:43:15 +0900, "Kirill A. Shutemov" <k.shutemov@g=
mail.com> writes:
>=20
> |> * archdir is "1.9.0", not "1.9".
> |
> |Why?
>=20
> Since 1.9.0 is not stable yet, binary API might change before 1.9.1.

Will it changed back when API become stable? It's not very suitable
for distribution packager to rebuild all modules on each new ruby version.

--=20
Regards,  Kirill A. Shutemov
 + Belarus, Minsk
 + Velesys Ltd, http://www.velesys.com/
 + ALT Linux Team, http://www.altlinux.com/

--4jXrM3lyYWu4nBt5
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.8 (GNU/Linux)

iEYEARECAAYFAkfLv1gACgkQbWYnhzC5v6r8FwCfd87R0mfHqyG/ECeKrqJ2LZJL
W0IAnj0Su7JmQ6Hung5Zhyj34BXVVI0B
=icST
-----END PGP SIGNATURE-----

--4jXrM3lyYWu4nBt5--

On [Mon, 03.03.2008 17:50], Yukihiro Matsumoto wrote:
> Hi,
>=20
> In message "Re: Ruby 1.9.0-1 snapshot released"
>     on Mon, 3 Mar 2008 17:43:15 +0900, "Kirill A. Shutemov" <k.shutemov@g=
mail.com> writes:
>=20
> |> * archdir is "1.9.0", not "1.9".
> |
> |Why?
>=20
> Since 1.9.0 is not stable yet, binary API might change before 1.9.1.

Will it changed back when API become stable? It's not very suitable
for distribution packager to rebuild all modules on each new ruby version.

--=20
Regards,  Kirill A. Shutemov
 + Belarus, Minsk
 + Velesys Ltd, http://www.velesys.com/
 + ALT Linux Team, http://www.altlinux.com/
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.8 (GNU/Linux)

iEYEARECAAYFAkfLv1gACgkQbWYnhzC5v6r8FwCfd87R0mfHqyG/ECeKrqJ2LZJL
W0IAnj0Su7JmQ6Hung5Zhyj34BXVVI0B
=icST
-----END PGP SIGNATURE-----